--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Stub instance method for dumping
- !ruby/struct:SM::Flow::P 
  body: "@param value [Object, nil] value to dump @param property [Property, nil] property the type is being used by"
- !ruby/struct:SM::Flow::P 
  body: "@return [Object] Dumped object"
- !ruby/struct:SM::Flow::P 
  body: "@api public"
full_name: DataMapper::Type::dump
is_singleton: true
name: dump
params: (value, property)
visibility: public
